Package org.h2gis.functions.io.fgb

## Class FGBWrite

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.functions.io.fgb.FGBWrite

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class FGBWrite
    extends org.h2gis.api.AbstractFunction
    implements org.h2gis.api.ScalarFunction

Expose FlatGeobuffer writer function

Author:
  Erwan Bocher, Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`FGBWrite()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `execute​(Connection connection, String fileName, String tableReference)` Read a table and write it into a FlatGeobuf file.
`static void` `execute​(Connection connection, String fileName, String tableReference, boolean deleteFile)` Read a table and write it into a FlatGeobuf file.
`static void` `execute​(Connection connection, String fileName, String tableReference, boolean deleteFile, String option)`
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### FGBWrite

    public FGBWrite()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

#### execute

    public static void execute​(Connection connection,
                               String fileName,
                               String tableReference,
                               boolean deleteFile,
                               String option)
                        throws SQLException,
                               IOException

Throws:
  `SQLException`
  `IOException`

#### execute

    public static void execute​(Connection connection,
                               String fileName,
                               String tableReference,
                               boolean deleteFile)
                        throws SQLException,
                               IOException

Read a table and write it into a FlatGeobuf file.

Parameters:
  `connection` - Active connection
  `fileName` - FlatGeobuf file name or URI
  `tableReference` - Table name or select query Note : The select query must be enclosed in parenthesis
  `deleteFile` - true to delete output file
Throws:
  `SQLException`
  `IOException`

#### execute

    public static void execute​(Connection connection,
                               String fileName,
                               String tableReference)
                        throws IOException,
                               SQLException

Read a table and write it into a FlatGeobuf file.

Parameters:
  `connection` - Active connection
  `fileName` - FlatGeobuf file name or URI
  `tableReference` - Table name or select query Note : The select query must be enclosed in parenthesis
Throws:
  `IOException`
  `SQLException`